### Hierarchy

- AnimationFrameService

## Index

### Constructors

- constructor

### Properties

- singleton
- tick

## Constructors

### constructor

- new AnimationFrameService(singleton: AnimationFrameServiceSingleton): AnimationFrameService

- - Defined in src/utils/animation-frame.service.ts:37

  #### Parameters

  - ##### singleton: AnimationFrameServiceSingleton

  #### Returns AnimationFrameService

## Properties

### Protected singleton

singleton: AnimationFrameServiceSingleton

- Defined in src/utils/animation-frame.service.ts:39

### tick

tick: Observable<number>

- Defined in src/utils/animation-frame.service.ts:37

Generated using TypeDoc